import { jsxs, jsx } from "react/jsx-runtime";
import { Head } from "@inertiajs/react";
import Blogs from "./blogs-yo2YcuzE.js";
import CallToAction from "./call-to-action-D5RCwzvf.js";
import FAQs from "./faqs-DM5mECJb.js";
import Hero from "./hero-BVmkKUIE.js";
import Instructor from "./instructor-BIkPXRd2.js";
import Statistics from "./statistics-BTqX02_9.js";
import Testimonials from "./testimonials-Bu_cVDJc.js";
import TopCategories from "./top-categories-BJMP5xEu.js";
import TopCourse from "./top-course-D_m_XnYM.js";
import TopCourses from "./top-courses-BZTlfZDX.js";
import Layout from "./layout-DsKuTFuS.js";
import "./blog-card-1-CkeyGBWD.js";
import "./card-B-gBwpxd.js";
import "react";
import "./utils-DLCPGU0v.js";
import "clsx";
import "tailwind-merge";
import "date-fns";
import "./avatar-C8iCpF5R.js";
import "@radix-ui/react-avatar";
import "./button-CdJZJLGw.js";
import "@radix-ui/react-slot";
import "class-variance-authority";
import "./carousel-3B7htZh-.js";
import "embla-carousel-react";
import "./section-DPFpz4mP.js";
import "./dialog-DGP_3dPQ.js";
import "@radix-ui/react-dialog";
import "lucide-react";
import "./use-lang-44ndmTOc.js";
import "./chunked-uploader-input-CZfv7yqS.js";
import "./input-BsvJqbcd.js";
import "axios";
import "sonner";
import "./input-error-D1JIzedA.js";
import "./loading-button-CCIxhJrY.js";
import "./label-0rIIfpX0.js";
import "@radix-ui/react-label";
import "./textarea-Z0d4V-ti.js";
import "./inertia-BtwbgBI3.js";
import "./icon-picker-dialog-Bc1iwzL6.js";
import "./icon-picker-C-E-UbjO.js";
import "./debounce-ZFxqVthq.js";
import "./tooltip-BYKuzaoQ.js";
import "@radix-ui/react-tooltip";
import "lucide-react/dynamic";
import "./scroll-area-CDdrLubh.js";
import "@radix-ui/react-scroll-area";
import "./table-header-CdEXSV6s.js";
import "./table-BMWNGY4o.js";
import "@tanstack/react-table";
import "./table-page-size-CF314lUl.js";
import "./dropdown-menu-msun3TP8.js";
import "@radix-ui/react-dropdown-menu";
import "./route-DlE7FdTW.js";
import "embla-carousel-autoplay";
import "./subscribe-input-B_dos7fm.js";
import "./button-gradient-primary-DnxbZRJu.js";
import "./accordion-cIAfVfPq.js";
import "@radix-ui/react-accordion";
import "./instructor-socials-Ek0tORCL.js";
import "./review-card-1-DEzDrNz1.js";
import "./category-card-4-Dft9c1kW.js";
import "./course-card-5-Dxl7GSA0.js";
import "./separator-CSqU-rrB.js";
import "@radix-ui/react-separator";
import "./data-sort-modal-DUjsJmGW.js";
import "nprogress";
import "./switch-ad-BDGs-.js";
import "./switch-CEzDpTwE.js";
import "@radix-ui/react-switch";
import "./landing-layout-Cned6N12.js";
import "./index-CzkkaexN.js";
import "./app-logo-DWyi5bLn.js";
import "./main-BKBelQb-.js";
import "next-themes";
import "./use-auth-8FvJer_G.js";
import "./use-screen-B7SDA5zE.js";
import "./appearance-BJIqrZL5.js";
import "./language-mewnB-2r.js";
import "./notification-Bg6IzWOo.js";
import "./popover-Cv6Hz_y0.js";
import "@radix-ui/react-popover";
import "./profile-toggle-DX74bufz.js";
import "nanoid";
const Home3 = ({ page, system }) => {
  const { sections } = page;
  const components = [];
  sections.filter((section) => section.active).map((section) => {
    switch (section.slug) {
      case "hero":
        components.push(Hero);
        break;
      case "statistics":
        components.push(Statistics);
        break;
      case "top_categories":
        components.push(TopCategories);
        break;
      case "top_course":
        components.push(TopCourse);
        break;
      case "top_courses":
        components.push(TopCourses);
        break;
      case "instructor":
        components.push(Instructor);
        break;
      case "faqs":
        components.push(FAQs);
        break;
      case "testimonials":
        components.push(Testimonials);
        break;
      case "call_to_action":
        components.push(CallToAction);
        break;
      case "blogs":
        components.push(Blogs);
        break;
    }
  });
  return /* @__PURE__ */ jsxs(Layout, { children: [
    /* @__PURE__ */ jsx(Head, { title: system.fields.name }),
    components.map((Component, index) => /* @__PURE__ */ jsx(Component, {}, `home-3-${index}`))
  ] });
};
export {
  Home3 as default
};
